/* Rexx */
Arg Line
If RxFuncQuery( 'SysLoadFuncs' ) Then Do
        Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
        Call SysLoadFuncs
        End
Call AdeptLocation Line,"Entering a Message "
Name = AdeptGetVar(Line,2)
From = AdeptConvert(Line,"{A9")
To = AdeptConvert(Line,"{MF")
Subject = AdeptConvert(Line,"{A8")
Area = AdeptConvert(Line,"{M6")
Number = AdeptConvert(Line,"{M3")
Private = 'N'
if Number = '3' then do
Private = 'Y'
end
asciifile = "d:\adept\system\line"||Line||"\msgtmp"
rc = linein(asciifile)
ry = lineout(asciifile)
if left(rc,1) <> '>' then do
SysFileDelete('d:\adept\system\Line'||Line||'\msgtmp')
end
again:
Call AdeptCls Line
Call AdeptMenuType Line,51,"EditIt.Asc"
Call AdeptPrint Line,"\r\n{FBYour Choice {U0 :"
keyrc = AdeptInput(Line,1,1,,,,,)
if keyrc < 1 then signal again
if keyrc > 8 then signal again
if keyrc = 7 then signal netwanted
SysFileDelete('d:\adept\system\Line'||Line||'\msginf')
if Number = '4' then do
Call SysFileDelete('d:\adept\menus\extfse'||Line||'.cmd')
Call AdeptMenutype Line,200,To||';'||Subject||';'||999||';'||1,0
in = 'd:\adept\menus\extfse0.sav'
out = 'd:\adept\menus\extfse'||Line||'.cmd'
do while lines(in)
rc = linein(in)
rt = lineout(out,rc)
SysFileDelete('d:\adept\system\Line'||Line||'\msgtmp')
end
rc = lineout(in)
rc = lineout(out)
return
end
if keyrc = 1 then do
ascfile = "d:\adept\system\line"||Line||"\MSGINF"
rc = lineout(ascfile,Name)
rc = lineout(ascfile,To)
rc = lineout(ascfile,Subject)
rc = lineout(ascfile,Number)
rc = lineout(ascfile,Area)
rc = lineout(ascfile,Private)
rc = lineout(ascfile)
Call AdeptMenuType Line,801,doorgen'{LN'.exe '{LN iceed.bat {LN',0
end
if keyrc = 2 then do
ascfile = "d:\adept\system\line"||Line||"\MSGINF"
rc = lineout(ascfile,Name)
rc = lineout(ascfile,To)
rc = lineout(ascfile,Subject)
rc = lineout(ascfile,Number)
rc = lineout(ascfile,Area)
rc = lineout(ascfile,Private)
rc = lineout(ascfile)
Call AdeptMenuType Line,801,doorgen'{LN'.exe '{LN synced.bat {LN',0
end
if keyrc = 3 then do
ascfile = "d:\adept\system\line"||Line||"\MSGINF"
rc = lineout(ascfile,Name)
rc = lineout(ascfile,To)
rc = lineout(ascfile,Subject)
rc = lineout(ascfile,Number)
rc = lineout(ascfile,Area)
rc = lineout(ascfile,Private)
rc = lineout(ascfile)
Call AdeptMenuType Line,801,doorgen'{LN'.exe '{LN teed.bat {LN',0
end
if keyrc = 4 then do
ascfile = "d:\adept\system\line"||Line||"\MSGINF"
rc = lineout(ascfile,Name)
rc = lineout(ascfile,To)
rc = lineout(ascfile,Subject)
rc = lineout(ascfile,Number)
rc = lineout(ascfile,Area)
rc = lineout(ascfile,Private)
rc = lineout(ascfile)
Call AdeptMenuType Line,801,doorgen'{LN'.exe '{LN yaedit.bat {LN',0
end
if keyrc = 5 then do
ascfile = "d:\adept\system\line"||Line||"\MSGINF"
rc = lineout(ascfile,Name)
rc = lineout(ascfile,To)
rc = lineout(ascfile,Subject)
rc = lineout(ascfile,Number)
rc = lineout(ascfile,Area)
rc = lineout(ascfile,Private)
rc = lineout(ascfile)
Call AdeptMenuType Line,801,doorgen'{LN'.exe '{LN toped.bat {LN',0
end
if keyrc = 6 then do
ascfile = "d:\adept\system\line"||Line||"\MSGINF"
rc = lineout(ascfile,Name)
rc = lineout(ascfile,To)
rc = lineout(ascfile,Subject)
rc = lineout(ascfile,Number)
rc = lineout(ascfile,Area)
rc = lineout(ascfile,Private)
rc = lineout(ascfile)
Call AdeptMenuType Line,801,doorgen'{LN'.exe '{LN peed.bat {LN',0
end
netwanted:
if keyrc = 7 then do
ascfile = "d:\adept\system\line"||Line||"\MSGINF"
rc = lineout(ascfile,Name)
rc = lineout(ascfile,To)
rc = lineout(ascfile,Subject)
rc = lineout(ascfile,Number)
rc = lineout(ascfile,Area)
rc = lineout(ascfile,Private)
rc = lineout(ascfile)
Call AdeptMenuType Line,801,doorgen'{LN'.exe '{LN iceed.bat {LN',0
end
if(Number >= '38' & Number <= '999') then do
ascfile='d:\adept\newecho.flg'
rc = lineout(ascfile)
end
Return
